/**
 * Copyright 2016 European Commission
 *
 * Licensed under the EUPL, Version 1.1 or – as soon they will be approved by the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 *     https://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and limitations under the Licence.
 */
package eu.europa.ec.leos.web.ui.themes;

import com.vaadin.server.ThemeResource;
import com.vaadin.ui.themes.BaseTheme;

public class LeosTheme extends BaseTheme {

    // leos theme image resources
    public static final ThemeResource LEOS_HEADER_LOGO_RESOURCE = new ThemeResource("img/header_logo.png");
    public static final ThemeResource LEOS_HEADER_LOGO_RESOURCE_NEW = new ThemeResource("img/logo_en.gif");
    public static final ThemeResource LEOS_HEADER_HOME_ICON = new ThemeResource("img/house.png");

    public static final ThemeResource LEOS_HEADER_BREADCRUMB_RESOURCE = new ThemeResource("img/breadcrumb.gif");
    // leos theme icons resources
    public static final ThemeResource LEOS_REFRESH_ICON_16 = new ThemeResource("icons/16/refresh.png");
    public static final ThemeResource CHEVRON_UP_ICON_16 = new ThemeResource("icons/16/chevron-up.png");
    public static final ThemeResource CHEVRON_DOWN_ICON_16 = new ThemeResource("icons/16/chevron-down.png");
    public static final ThemeResource LEOS_DOCUMENT_ICON_32 = new ThemeResource("icons/32/document.png");
    public static final ThemeResource LEOS_DOCUMENT_LOCKED_ICON_32 = new ThemeResource("icons/32/document-locked.png");
    public static final ThemeResource LEOS_DOCVIEW_CLOSE = new ThemeResource("icons/16/cross.png");
    public static final ThemeResource LEOS_DOCUMENT_XML_ICON_16 = new ThemeResource("icons/16/document-xml.png");
    
    public static final ThemeResource LEOS_MENU_SETTINGS_ICON_16 = new ThemeResource("icons/16/settings.png");
    public static final ThemeResource LEOS_MENU_LOCK_ICON_16 = new ThemeResource("icons/16/lock-black.png");
    public static final ThemeResource LEOS_MENU_ITEM_LOCKED_ICON_16 = new ThemeResource("icons/16/lock-yellow.png");
    public static final ThemeResource LEOS_MENU_DEV_ICON_16 = new ThemeResource("icons/16/development.png");

    public static final ThemeResource LEOS_TOC_ON_ICON_16 = new ThemeResource("icons/16/toc-on.png");
    public static final ThemeResource LEOS_TOC_OFF_ICON_16 = new ThemeResource("icons/16/toc-off.png");
    public static final ThemeResource LEOS_TOC_LEFT_ICON_16 = new ThemeResource("icons/16/toc-left.png");
    public static final ThemeResource LEOS_TOC_RIGHT_ICON_16 = new ThemeResource("icons/16/toc-right.png");
    public static final ThemeResource LEOS_CHANGES_ON_ICON_16 = new ThemeResource("icons/16/changes-on.png");
    public static final ThemeResource CHEVRON_LEFT_ICON_16 = new ThemeResource("icons/16/chevron-left.png");
    public static final ThemeResource CHEVRON_RIGHT_ICON_16 = new ThemeResource("icons/16/chevron-right.png");
    public static final ThemeResource LEOS_TOC_TREE_ICON_16 = new ThemeResource("icons/16/toc-tree.png");
    public static final ThemeResource LEOS_TOC_EDIT_ICON_16 = new ThemeResource("icons/16/toc-edit.png");
    public static final ThemeResource TREE_EXPAND_ICON_16 = new ThemeResource("icons/16/tree-expand.png");
    public static final ThemeResource TREE_CATEGORY_ICON_16 = new ThemeResource("icons/16/tree-category.png");
    public static final ThemeResource TREE_TEMPLATE_ICON_16 = new ThemeResource("icons/16/tree-template.png");
    public static final ThemeResource UPLOAD_ICON_16 = new ThemeResource("icons/16/upload.png");
    public static final ThemeResource LEOS_DAP_ICON_16 = new ThemeResource("icons/16/dap.png");
    public static final ThemeResource LEOS_PREVIEW_HTML_ICON_16 = new ThemeResource("icons/16/document-html.png");
    public static final ThemeResource LEOS_PREVIEW_PDF_ICON_16 = new ThemeResource("icons/16/document-pdf.png");
    public static final ThemeResource LEOS_COMPARE_WITH_16 = new ThemeResource("icons/16/compare-with.png");
    public static final ThemeResource LEOS_BELL_16 = new ThemeResource("icons/16/bell.png");
    public static final ThemeResource LEOS_INFO_WHITE_16 = new ThemeResource("icons/16/info-white.png");
    public static final ThemeResource LEOS_INFO_YELLOW_16 = new ThemeResource("icons/16/info-yellow.png");
    
    public static final String LEOS_PREVIEW_WINDOW_FEATURES= "width=1050,height=800,resizable,location,scrollbars";
}
